com.holonplatform.datastore.jpa.dialect

## Class DefaultDialect

- java.lang.Object
- - com.holonplatform.datastore.jpa.dialect.DefaultDialect

- All Implemented Interfaces:
    ORMDialect

      public class DefaultDialect
      extends Object
      implements ORMDialect

  Default `ORMDialect`.
  Since:
    5.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSupportedJPAMajorVersion()` Get the supported JPA major version.
    `int` | `getSupportedJPAMinorVersion()` Get the supported JPA minor version.
    `void` | `init(ORMDialectContext context)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `isTupleSupported()` Returns whether the `Tuple` query result type is supported.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.dialect.ORMDialect

      `datanucleus, deleteStatementAliasSupported, detect, eclipselink, getBatchSizeConfigurationProperty, getLikeEscapeCharacter, getLikeEscapeJPQL, hibernate, likeEscapeSupported, openJPA, resolveFunction, temporalTypeParametersSupported, temporalTypeProjectionSupported, translateException, updateStatementAliasSupported, updateStatementSetAliasSupported`

- - ### Constructor Detail

    - #### DefaultDialect

          public DefaultDialect()

  - ### Method Detail

    - #### init

          public void init(ORMDialectContext context)

      Description copied from interface: `ORMDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `ORMDialect`
      Parameters:
        `context` - Dialect context

    - #### getSupportedJPAMajorVersion

          public int getSupportedJPAMajorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA major version.
      Specified by:
        `getSupportedJPAMajorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA major version

    - #### getSupportedJPAMinorVersion

          public int getSupportedJPAMinorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA minor version.
      Specified by:
        `getSupportedJPAMinorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA minor version

    - #### isTupleSupported

          public boolean isTupleSupported()

      Description copied from interface: `ORMDialect`
      Returns whether the `Tuple` query result type is supported.
      Specified by:
        `isTupleSupported` in interface `ORMDialect`
      Returns:
        Whether the `Tuple` query result type is supported

Copyright © 2019 The Holon Platform. All rights reserved.